/**********************************************************************/
/* %Z%%M%       %I%  %W% %G% %U%                                      */
/*                                                                    */
/* COMPONENT_NAME: koq                                                */
/*                                                                    */
/* FUNCTIONS:                                                         */
/*                                                                    */
/* Date: %G% %U%                                                      */
/*                                                                    */
/* Source: %W%                                                        */
/*                                                                    */
/* Revision: %I%                                                      */
/*                                                                    */
/* ORIGINS:                                                           */
/*                                                                    */
/* $Id:                                                               */
/*                                                                    */
/**********************************************************************/
/* Licensed Materials - Property of IBM                               */
/* 5724-B96                                                           */
/*                                                                    */
/* Copyright IBM Corp. 2005 All Rights Reserved                       */
/* US Government Users Restricted Rights - Use, duplication or        */
/* disclosure restricted by GSA ADP Schedule Contract with            */
/* IBM Corp                                                           */
/**********************************************************************/

/* Templates */
DELETE FROM O4SRV.TMANTMPL WHERE NAME = "MS_SQL Database";
DELETE FROM O4SRV.TMANTMPL WHERE NAME = "MS_SQL Server";

/* Template status */
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "*Critical";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "*STATUS_UNKNOWN";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "*Unknown";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "*Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Freespace_Critical";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Freespace_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Space_Pct_Used_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Space_Pct_Used_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Status_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Suspect_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Device_Free_PCT_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Fragmentation_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Fragmentation_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Freespace_Critical";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Freespace_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Shipping_Status_Err";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Shipping_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Space_Pct_Used_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Space_Pct_Used_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Oldest_Transaction_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Oldest_Transaction_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Opt_Stats_Age_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Opt_Stats_Age_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Repl_Latency_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Repl_Latency_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
*Critical";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
*STATUS_UNKNOWN";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
*Unknown";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
*Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Block_Critical";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Block_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_CPU_Critical";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_CPU_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Avg_FreePage_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Avg_FreePage_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Hit_Ratio_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Hit_Ratio_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Max_FreePage_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Max_FreePage_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Client_Cnt_Pct_Used_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Client_Cnt_Pct_Used_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Collection_Status_Warnin";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_DB_Num_Errors_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_ErrorLog_Size_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Failed_Jobs_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_IOERR_Startup_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_IOError_Curintvl_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_IO_Disk_Errors_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Log_Suspend_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_LogonPct_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Network_Read_Rate_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Network_Read_Rate_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Network_Write_Rate_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Network_Write_Rate_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Num_Process_Blocked_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Num_Process_Blocked_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_PCT_MAX_Locks_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Pct_Block_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Pct_IO_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_ProbAge_GT_17_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Buffs_Active_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Buffs_Active_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Buffs_Used_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Buffs_Used_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Cache_Active_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Cache_Active_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Cache_Used_Crit";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Cache_Used_Warn";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_ProcessLockSleep_Warnin";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_ProcessOthSleep_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Process_Blocked_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Process_Infected_Warnin";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Processes_Bad_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Processes_Stop_Warning";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Rem_Serv_Stat_Critical";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Status_Critical";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Status_Inactive";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Total_Locks_Critical";
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Total_Locks_Warning";

/* Template states */
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "Critical";
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "Not Monitored";
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "OK";
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "Unknown";
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "Warning";
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
Critical";
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
Not Monitored";
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
OK";
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
Unknown";
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
Warning";

/* Commands */
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2135";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2137";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2139";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2141";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2143";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2145";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2147";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2149";

DELETE FROM O4SRV.CCT WHERE KEY = "Database Check-up and Tune-up";
DELETE FROM O4SRV.CCT WHERE KEY = "Dump Database";
DELETE FROM O4SRV.CCT WHERE KEY = "Dump Transaction Log";
DELETE FROM O4SRV.CCT WHERE KEY = "Rebuild Fragmented Indexes";
DELETE FROM O4SRV.CCT WHERE KEY = "Refresh Query Optimizer Stats";
DELETE FROM O4SRV.CCT WHERE KEY = "Start SQL Server";
DELETE FROM O4SRV.CCT WHERE KEY = "Stop SQL Server";
DELETE FROM O4SRV.CCT WHERE KEY = "Update Space Usage Information";

/* Situations */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Block_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Block_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_CPU_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_CPU_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Avg_FreePage_Cr
it";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Avg_FreePage_Wa
rn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Hit_Ratio_Crit"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Hit_Ratio_Warn"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Max_FreePage_Cr
it";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Max_FreePage_Wa
rn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Client_Cnt_Pct_Used_C
rit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Client_Cnt_Pct_Used_W
arn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Collection_Status_War
nin";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Error_Status";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Freespace_Critical
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Freespace_Warning"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Num_Errors_Warning
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Space_Pct_Used_Cri
t";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Space_Pct_Used_War
n";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Status_Crit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Suspect_Crit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Device_Free_PCT_Warni
ng";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_ErrorLog_Size_Warning
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Error_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Failed_Jobs_Crit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Fragmentation_Crit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Fragmentation_Warn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_IOERR_Startup_Warning
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_IOError_Curintvl_Warn
ing";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_IO_Disk_Errors_Crit";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Freespace_Critica
l";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Freespace_Warning
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Shipping_Status_E
rr";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Shipping_Warning"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Space_Pct_Used_Cr
it";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Space_Pct_Used_Wa
rn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Suspend_Warning";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_LogonPct_Crit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_LogonPct_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Long_Running_Trans_Wa
rn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Mirror_Failover_Criti
cal";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Mirror_Lagging_Warnin
g";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Mirror_Suspended_Warn
ing";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Network_Read_Rate_Cri
t";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Network_Read_Rate_War
n";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Network_Write_Rate_Cr
it";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Network_Write_Rate_Wa
rn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Num_Process_Blocked_C
rit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Num_Process_Blocked_W
arn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Oldest_Transaction_Cr
it";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Oldest_Transaction_Wa
rn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Opt_Stats_Age_Crit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Opt_Stats_Age_Warn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_PCT_MAX_Locks_Critica
l";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_PCT_MAX_Locks_Warning
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Pct_Block_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Pct_CPU_Yields_Warnin
g";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Pct_IO_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_ProbAge_GT_17_Warning
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Buffs_Active_Cri
t";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Buffs_Active_War
n";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Buffs_Used_Crit"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Buffs_Used_Warn"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Cache_Active_Cri
t";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Cache_Active_War
n";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Cache_Used_Crit"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Cache_Used_Warn"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_ProcessLockSleep_Warn
in";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_ProcessOthSleep_Warni
ng";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Process_Blocked_Warni
ng";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Process_Infected_Warn
in";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Processes_Bad_Warning
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Processes_Stop_Warnin
g";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Rem_Serv_Stat_Critica
l";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Repl_Latency_Crit";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Repl_Latency_Warn";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Status_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Status_Inactive";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Total_Locks_Critical"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Total_Locks_Warning";


/* SITDB */

/* Object activation list */
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Block_Critical" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Block_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_CPU_Critical" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_CPU_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Avg_FreePage_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Avg_FreePage_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Hit_Ratio_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Hit_Ratio_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Max_FreePage_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Max_FreePage_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Client_Cnt_Pct_Used_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Client_Cnt_Pct_Used_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Collection_Status_Warnin" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Error_Status" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Freespace_Critical" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Freespace_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Num_Errors_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Space_Pct_Used_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Space_Pct_Used_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Status_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Suspect_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Device_Free_PCT_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_ErrorLog_Size_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Error_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Failed_Jobs_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Fragmentation_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Fragmentation_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_IOERR_Startup_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_IOError_Curintvl_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_IO_Disk_Errors_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Freespace_Critical" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Freespace_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Shipping_Status_Err" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Shipping_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Space_Pct_Used_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Space_Pct_Used_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Suspend_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_LogonPct_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_LogonPct_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Long_Running_Trans_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Mirror_Failover_Critical" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Mirror_Lagging_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Mirror_Suspended_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Network_Read_Rate_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Network_Read_Rate_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Network_Write_Rate_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Network_Write_Rate_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Num_Process_Blocked_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Num_Process_Blocked_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Oldest_Transaction_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Oldest_Transaction_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Opt_Stats_Age_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Opt_Stats_Age_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_PCT_MAX_Locks_Critical" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_PCT_MAX_Locks_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Pct_Block_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Pct_CPU_Yields_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Pct_IO_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_ProbAge_GT_17_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Buffs_Active_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Buffs_Active_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Buffs_Used_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Buffs_Used_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Cache_Active_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Cache_Active_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Cache_Used_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Cache_Used_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_ProcessLockSleep_Warnin" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_ProcessOthSleep_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Process_Blocked_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Process_Infected_Warnin" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Processes_Bad_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Processes_Stop_Warning" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Rem_Serv_Stat_Critical" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Repl_Latency_Crit" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Repl_Latency_Warn" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Status_Critical" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Status_Inactive" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Total_Locks_Critical" AND OBJCLASS = "5140";
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Total_Locks_Warning" AND OBJCLASS = "5140";

/* Policies */
DELETE FROM O4SRV.TPCYDESC WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l";

/* Policy activities */
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l" AND ACTNAME = "ko136";
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l" AND ACTNAME = "ko213";
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l" AND ACTNAME = "ko248";
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l" AND ACTNAME = "ko36";

